package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.service.process;

import cokr.xit.ens.core.exception.EnsException;

/**
 * 결제 처리자
 */
public interface Pay<RSLT> {

    /**
     * 실행
     *
     * @return
     */
    void exec();

    RSLT getResult();

    EnsException getException();

}
